[X2Go-Commits] [buildscripts] 01/03: bin: add new slave-start-connect.sh script, used to connect to local machines and kick-off chrooting.

git-admin at x2go.org git-admin at x2go.org
Sat Jun 10 04:56:13 CEST 2017


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit ee56c74f58f828cfc5e37ad8c5929180ea653457
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Sat Jun 10 04:53:33 2017 +0200

    bin: add new slave-start-connect.sh script, used to connect to local machines and kick-off chrooting.
---
 bin/slave-start-connect.sh | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/bin/slave-start-connect.sh b/bin/slave-start-connect.sh
new file mode 100755
index 0000000..b791bf8
--- /dev/null
+++ b/bin/slave-start-connect.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+set -e
+
+typeset prefix="$(cut -d"-" -f1 <<< "$(basename "${0}")")"
+
+typeset host="${1:?"No valid host parameter provided."}"
+
+case "${host}" in
+  ("p7le")
+    host="osuosl-c7-le"
+    ;;
+  ("p7be")
+    host="osuosl-c7-be"
+    ;;
+  (*)
+    echo "Unknown host parameter provided." >&2
+    exit 1
+    ;;
+esac
+
+typeset user="jenkins"
+
+# Can't have a "slave" prefix this way, but I guess it's fine.
+if [ "x$(basename "${0}")" = "x${prefix}-slave-start-connect.sh" ]; then
+  case "${prefix}" in
+    (x2go)
+      user="x2go-jenkins"
+      ;;
+    (*)
+      echo "Invalid prefix. Aborting." >&2
+      exit 1
+      ;;
+    esac
+fi
+
+ssh "${user}@${host}" "bin/${prefix}-slave-start-chroot.sh"

--
Alioth's /srv/git/code.x2go.org/buildscripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list